%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  SGPR
%global packver   0.1.2
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.2
Release:          1%{?dist}%{?buildtag}
Summary:          Sparse Group Penalized Regression for Bi-Level Variable Selection

License:          GPL (>= 3)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildRequires:    R-CRAN-Rcpp 
Requires:         R-CRAN-Rcpp 

%description
Fits the regularization path of regression models (linear and logistic)
with additively combined penalty terms. All possible combinations with
Least Absolute Shrinkage and Selection Operator (LASSO), Smoothly Clipped
Absolute Deviation (SCAD), Minimax Concave Penalty (MCP) and Exponential
Penalty (EP) are supported. This includes Sparse Group LASSO (SGL), Sparse
Group SCAD (SGS), Sparse Group MCP (SGM) and Sparse Group EP (SGE). For
more information, see Buch, G., Schulz, A., Schmidtmann, I., Strauch, K.,
& Wild, P. S. (2024) <doi:10.1002/bimj.202200334>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
